Package org.apache.storm.metricstore

## Class FilterOptions

- java.lang.Object
- - org.apache.storm.metricstore.FilterOptions

-     public class FilterOptions
      extends Object

  FilterOptions provides a method to select various filtering options for doing a scan of the metrics database.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilterOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAggLevel​(AggLevel level)` | Add an aggregation level to search for.
    `Set<AggLevel>` | `getAggLevels()` | Get the aggregation levels to search for.
    `String` | `getComponentId()` |
    `long` | `getEndTime()` | Returns the end time if set, returns the current time otherwise.
    `String` | `getExecutorId()` |
    `String` | `getHostId()` |
    `String` | `getMetricName()` |
    `Integer` | `getPort()` |
    `long` | `getStartTime()` |
    `String` | `getStreamId()` |
    `String` | `getTopologyId()` |
    `void` | `setAggLevels​(Set<AggLevel> levels)` | Set the aggregation levels to search for.
    `void` | `setComponentId​(String component)` |
    `void` | `setEndTime​(Long time)` |
    `void` | `setExecutorId​(String id)` |
    `void` | `setHostId​(String id)` |
    `void` | `setMetricName​(String name)` |
    `void` | `setPort​(Integer p)` |
    `void` | `setStartTime​(Long time)` |
    `void` | `setStreamId​(String id)` |
    `void` | `setTopologyId​(String topoId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterOptions

          public FilterOptions()

  - ### Method Detail

    - #### getTopologyId

          public String getTopologyId()

    - #### setTopologyId

          public void setTopologyId​(String topoId)

    - #### getComponentId

          public String getComponentId()

    - #### setComponentId

          public void setComponentId​(String component)

    - #### getStartTime

          public long getStartTime()

    - #### setStartTime

          public void setStartTime​(Long time)

    - #### getEndTime

          public long getEndTime()

      Returns the end time if set, returns the current time otherwise.

    - #### setEndTime

          public void setEndTime​(Long time)

    - #### getMetricName

          public String getMetricName()

    - #### setMetricName

          public void setMetricName​(String name)

    - #### getExecutorId

          public String getExecutorId()

    - #### setExecutorId

          public void setExecutorId​(String id)

    - #### getHostId

          public String getHostId()

    - #### setHostId

          public void setHostId​(String id)

    - #### getPort

          public Integer getPort()

    - #### setPort

          public void setPort​(Integer p)

    - #### getStreamId

          public String getStreamId()

    - #### setStreamId

          public void setStreamId​(String id)

    - #### addAggLevel

          public void addAggLevel​(AggLevel level)

      Add an aggregation level to search for.

    - #### getAggLevels

          public Set<AggLevel> getAggLevels()

      Get the aggregation levels to search for.

    - #### setAggLevels

          public void setAggLevels​(Set<AggLevel> levels)
                            throws MetricException

      Set the aggregation levels to search for.
      Throws:
        `MetricException`